cURL
curl --fail-with-body --request GET \
--url "$XPILOT_API_BASE_URL/v1/brand-kits?limit=20&offset=0" \
--header "Authorization: Bearer $XPILOT_API_KEY"const response = await fetch(process.env.XPILOT_API_BASE_URL + "/v1/brand-kits?limit=20&offset=0", {
method: "GET",
headers: {
Authorization: `Bearer ${process.env.XPILOT_API_KEY}`,
},
});
const result = await response.json();
if (!response.ok) throw new Error(JSON.stringify(result));
console.log(result);import os, json, requests
response = requests.request(
"GET",
os.environ["XPILOT_API_BASE_URL"] + "/v1/brand-kits?limit=20&offset=0",
headers={
"Authorization": "Bearer " + os.environ["XPILOT_API_KEY"],
},
timeout=70,
)
print(response.status_code, response.text)
response.raise_for_status(){
"data": {
"items": [
{
"id": 1,
"brand_name": "Acme",
"brand_logo": "<asset_url>",
"content_style_description": "Friendly and concise.",
"theme_color": {
"primary": "#2563eb",
"accent": "#f97316",
"background": "#ffffff",
"text": "#0f172a"
},
"created_at": 1791849600,
"updated_at": 1791849600
}
],
"total": 1,
"limit": 20,
"offset": 0
}
}{
"error": {
"code": "invalid_parameter",
"message": "Check parameter types, required fields and idempotency key."
},
"request_id": "<request_id>"
}{
"error": {
"code": "invalid_token",
"message": "Use an active scoped API Key. MCP OAuth tokens cannot call REST."
},
"request_id": "<request_id>"
}{
"error": {
"code": "insufficient_scope",
"message": "Check the credential scope and resource ownership."
},
"request_id": "<request_id>"
}{
"error": {
"code": "rate_limited",
"message": "Credential/workspace rate or concurrency limit reached. Respect Retry-After before retrying.",
"retry_after": 60
},
"request_id": "<request_id>"
}Brand kits
List brand kits
Owned brand kits. Pass an id as video_config.brand_kit_id.
GET
/
v1
/
brand-kits
cURL
curl --fail-with-body --request GET \
--url "$XPILOT_API_BASE_URL/v1/brand-kits?limit=20&offset=0" \
--header "Authorization: Bearer $XPILOT_API_KEY"const response = await fetch(process.env.XPILOT_API_BASE_URL + "/v1/brand-kits?limit=20&offset=0", {
method: "GET",
headers: {
Authorization: `Bearer ${process.env.XPILOT_API_KEY}`,
},
});
const result = await response.json();
if (!response.ok) throw new Error(JSON.stringify(result));
console.log(result);import os, json, requests
response = requests.request(
"GET",
os.environ["XPILOT_API_BASE_URL"] + "/v1/brand-kits?limit=20&offset=0",
headers={
"Authorization": "Bearer " + os.environ["XPILOT_API_KEY"],
},
timeout=70,
)
print(response.status_code, response.text)
response.raise_for_status(){
"data": {
"items": [
{
"id": 1,
"brand_name": "Acme",
"brand_logo": "<asset_url>",
"content_style_description": "Friendly and concise.",
"theme_color": {
"primary": "#2563eb",
"accent": "#f97316",
"background": "#ffffff",
"text": "#0f172a"
},
"created_at": 1791849600,
"updated_at": 1791849600
}
],
"total": 1,
"limit": 20,
"offset": 0
}
}{
"error": {
"code": "invalid_parameter",
"message": "Check parameter types, required fields and idempotency key."
},
"request_id": "<request_id>"
}{
"error": {
"code": "invalid_token",
"message": "Use an active scoped API Key. MCP OAuth tokens cannot call REST."
},
"request_id": "<request_id>"
}{
"error": {
"code": "insufficient_scope",
"message": "Check the credential scope and resource ownership."
},
"request_id": "<request_id>"
}{
"error": {
"code": "rate_limited",
"message": "Credential/workspace rate or concurrency limit reached. Respect Retry-After before retrying.",
"retry_after": 60
},
"request_id": "<request_id>"
}Documentation by X-Pilot
Required scope:brand_kits:read.
Manage API keys · Authentication and recovery

